
QGIS Application - Bug report #20561

.qgs translation: ts-file empty

2018-11-20 12:12 PM - David Signer

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Linux and Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28381

Description

If there is a TS-File created, the only content is:

&lt;!DOCTYPE TS&gt;

  &lt;TS sourcelanguage="en_US"/&gt;

It's because the translatable object cannot be collected. This connection is never set up.

if ( QgsApplication::instance() )

    connect( QgsApplication::instance(), &QgsApplication::requestForTranslatableObjects, this,

&QgsProject::registerTranslatableObjects );

Seems, like it cannot get an instance of the QgsApplication. Possible QgsProject is created before the QgsApplication, what it hasn't

before?

Associated revisions

Revision f3943f58 - 2018-12-04 12:03 PM - David Signer

do not write logs before QgsApplication instace

because otherwise it creates a QgsProject without a QgsApplication

and translation won't work anymore because it cannot connect the signal to the slot

this fixes #20561

Revision d3d5d7e5 - 2018-12-06 11:16 AM - David Signer

do not write logs before QgsApplication instace

because otherwise it creates a QgsProject without a QgsApplication

and translation won't work anymore because it cannot connect the signal to the slot

this fixes #20561

(partly copied from 8e7d37e37a035d7300663205ba9587f542f30732)

History

#1 - 2018-12-06 10:37 AM - David Signer

- % Done changed from 0 to 100

2025-12-15 1/2



- Status changed from Open to Closed

Applied in changeset commit:qgis|f3943f5877174778a0242640dc20478655bfe79a.
